[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TGridColumnTitle.DefineProperties

Specifies which properties in the persistent object are used during LCL component streaming.

## Declaration

Source position: grids.pas line 491

`protected procedure TGridColumnTitle.DefineProperties(`
`Filer: TFiler`
`); override;`

## Arguments

`Filer` |  | TFiler instance used to read and write the class during LCL streaming.

## Description

DefineProperties is an overridden method used to define the properties which are included during LCL component streaming. The TFiler instance in Filer is used to set the read and write procedures for specific properties. In TGridColumnTitle, the Caption is written when it has an explicit non-default value. This implements the storage specifier declared for the property.